#include <QtCore/QtPlugin>
#include <QDesignerFormEditorInterface>
#include <QDesignerPropertyEditorInterface>
#include "plugin_light.h"
#include "light.h"


SHSLightPlugin::SHSLightPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void SHSLightPlugin::initialize(QDesignerFormEditorInterface * ) {
	if (m_initialized)
		return;
	m_initialized = true;
}


bool SHSLightPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * SHSLightPlugin::createWidget(QWidget * parent) {
	return new SHSLight(parent);
}


QString SHSLightPlugin::name() const {
	return QLatin1String("SHSLight");
}


QString SHSLightPlugin::group() const {
	return QLatin1String("SHS Widgets");
}


QIcon SHSLightPlugin::icon() const {
	return QIcon(":/icons/light.png");
}


QString SHSLightPlugin::toolTip() const {
	return QLatin1String("");
}


QString SHSLightPlugin::whatsThis() const {
	return QLatin1String("");
}


bool SHSLightPlugin::isContainer() const {
	return false;
}


QString SHSLightPlugin::domXml() const {
	return QLatin1String("<widget class=\"SHSLight\" name=\"light\">\n</widget>\n");
}


QString SHSLightPlugin::includeFile() const {
	return QLatin1String("light.h");
}

